---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: seb-service
  annotations:
    #alias-managed: "true"
    acme.cert-manager.io/http01-ingress-class: "haproxy"
    kubernetes.io/ingress.class: "haproxy"
    ingress.kubernetes.io/balance-algorithm: source
    cert-manager.io/cluster-issuer: "letsencrypt-haproxy"

    # ingress.kubernetes.io/acme-emails: "michael.odermatt@let.ethz.ch"
    # ingress.kubernetes.io/acme-endpoint: "v2"
    # ingress.kubernetes.io/acme-shared: "true"
    # ingress.kubernetes.io/acme-terms-agreed: "true"
    # ingress.kubernetes.io/cert-signer: "acme"
spec:
  rules:
    - host: sebserver-uzh.let.ethz.ch
      http:
        paths:
          - backend:
              service:
                name: seb-guiservice-uzh
                port:
                  number: 8080
            pathType: Prefix
            path: /
    - host: sebserver-webservice-uzh.let.ethz.ch
      http:
        paths:
          - backend:
              service:
                name: seb-webservice-uzh
                port:
                  number: 8080
            pathType: Prefix
            path: /
    # - host: sebserver-uzh-sps.let.ethz.ch
    #   http:
    #     paths:
    #       - backend:
    #           service:
    #             name: seb-sps-service-uzh
    #             port:
    #               number: 8090
    #         pathType: Prefix
    #         path: /
  tls:
    - hosts:
        - sebserver-uzh.let.ethz.ch
        - sebserver-webservice-uzh.let.ethz.ch
      #  - sebserver-uzh-sps.let.ethz.ch
      secretName: sebserver-uzh-ssl-request
